#!/bin/csh -f

if !($?home) then
        if !($?user) then
                set usermatch = "^[^:]*:[^:]*:`id -u`:"
                echo "user not set... using $usermatch"
        else
                set usermatch = "^$user:"
        endif

        set newhome = `grep "$usermatch" /etc/passwd | head -1 | cut -d: -f6`
        echo "home directory not set... setting to $newhome"
        set home = "$newhome"
endif

if ($user == 'root') then
	set home='/'
endif

cd $home

jot -v $HOTMIXDIR/html/vendors/charybda/software/charybda/diver_demo_instr 

$HOTMIXDIR/html/vendors/charybda/software/charybda/diver  
